edu.ucsb.nceas.metacat.advancedsearch

## Class LoginBean

- java.lang.Object
- - edu.ucsb.nceas.metacat.advancedsearch.LoginBean

- All Implemented Interfaces:
    java.io.Serializable

      public class LoginBean
      extends java.lang.Object
      implements java.io.Serializable

  Author:
    dcosta Bean to store login form properties and values.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoginBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getOrganization()`
    `java.lang.String` | `getPassword()`
    `java.lang.String` | `getUsername()`
    `void` | `setOrganization(java.lang.String organization)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setUsername(java.lang.String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoginBean

          public LoginBean()

  - ### Method Detail

    - #### getOrganization

          public java.lang.String getOrganization()

      Returns:
        Returns the organization.

    - #### setOrganization

          public void setOrganization(java.lang.String organization)

      Parameters:
        `organization` - The organization to set.

    - #### getPassword

          public java.lang.String getPassword()

      Returns:
        Returns the password.

    - #### setPassword

          public void setPassword(java.lang.String password)

      Parameters:
        `password` - The password to set.

    - #### getUsername

          public java.lang.String getUsername()

      Returns:
        Returns the username.

    - #### setUsername

          public void setUsername(java.lang.String username)

      Parameters:
        `username` - The username to set.

Copyright © 2023 Regents of the University of California. All Rights Reserved.